Skip to main content
GET
/
investors
/
{investor_id}
/
portfolio-chart
Get portfolio chart for an investor
curl --request GET \
  --url https://api.bluumfinance.com/v1/investors/{investor_id}/portfolio-chart \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "portfolio_chart",
  "livemode": false,
  "metadata": {},
  "investor_id": "inv_01j9x8m2k7qpzwv3t5r6y8n0ab",
  "currency": "USD",
  "current": {
    "total_value": "2500.00",
    "cash_value": "500.00",
    "positions_value": "2000.00",
    "as_of": "2026-05-14T12:00:00.000Z"
  },
  "chart_data": [
    {
      "date": "2026-04-14",
      "total_value": "2100.00"
    },
    {
      "date": "2026-05-14",
      "total_value": "2500.00"
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

investor_id
string
required

Prefixed public id of the investor (e.g. inv_…).

Response

Portfolio chart data.

object
enum<string>
Available options:
portfolio_chart
livemode
boolean
investor_id
string

Prefixed public id of the investor.

currency
string
Example:

"USD"

current
object
chart_data
object[]